Subject: Re: [mpls] MPLS WG Last Call on two related WG documents (PathErrand SoftPreemption)

From: "Newton, Jonathan" <[email-masked]>
Date: Tue, 11 Mar 2008 11:25:19 -0000

Hi Dimitri,

I have worked with a few implementations here and have not yet seen an
implementation that interprets the standards as you describe.  Maybe we
could try and gauge the number of implementations by asking the question
on the relevant lists?  Hopefully this could point us towards one of the
support options that you outlined.

Cheers,
~Jon.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of PAPADIMITRIOU Dimitri
> Sent: 26 February 2008 09:14
> To: Vasseur, Jean-Philippe; Adrian Farrel
> Cc: [email-masked]
> Subject: Re: [mpls] MPLS WG Last Call on two related WG 
> documents (PathErrand SoftPreemption)
> 
>  
> 
> the resulting question is thus what about those that 
> interpreted the standard/RFC 3209 per 2205 ?
> 
> are these going to be deprecated ? or is the soft-preemption 
> only applicable when the hard preemption error code and best 
> practices are supported (which is what i read from the 
> sequence of documents under last call) ? 
> 
> thanks,
> -d.
> 
> 
> 
> 
> 
> > -----Original Message-----
> > From: JP Vasseur [mailto:[email-masked]]
> > Sent: Tuesday, February 26, 2008 1:28 AM
> > To: Adrian Farrel; PAPADIMITRIOU Dimitri
> > Cc: [email-masked]
> > Subject: Re: MPLS WG Last Call on two related WG documents (PathErr 
> > and SoftPreemption)
> > 
> > Thanks Adrian for forwarding on the MPLS ML.
> > 
> > See in line.
> > 
> > 
> > > From: Adrian Farrel <[email-masked]>
> > > Reply-To: Adrian Farrel <[email-masked]>
> > > Date: Sun, 24 Feb 2008 18:29:47 -0000
> > > To: <[email-masked]>
> > > Cc: PAPADIMITRIOU Dimitri 
> <[email-masked]>,
> > > <[email-masked]>
> > > Subject: Re: MPLS WG Last Call on two related WG documents
> > (PathErr and
> > > SoftPreemption)
> > > 
> > > Hi MPLS WG,
> > > 
> > > I passed on information about your WG last call on these
> > drafts to CCAMP who
> > > probably have an interest in this topic as well. We have
> > received the
> > > comments below. Please consider them as part of the last call.
> > > 
> > > Thanks,
> > > Adrian
> > > ----- Original Message -----
> > > From: "PAPADIMITRIOU Dimitri" 
> > <[email-masked]>
> > > To: "Adrian Farrel" <[email-masked]>; <[email-masked]>
> > > Sent: Saturday, February 23, 2008 2:16 PM
> > > Subject: RE: MPLS WG Last Call on two related WG documents
> > (PathErr and
> > > SoftPreemption)
> > > 
> > > 
> > > adrian. a base question:
> > > 
> > > 2205 defines a mechanism for hard-preemption by tearing
> > down state and a
> > > soft-preemption by error msg exchange only (no state
> > modification) -->
> > > note that section 2.4 states:
> > > 
> > > "A teardown request may be initiated either by an
> > application in an end
> > > system (sender or receiver), or by a router as the result 
> of state 
> > > timeout or service preemption."
> > > 
> > > 3209 defines a preemption mechanism with the following conditions:
> > > - If the requested bandwidth is not available a PathErr 
> message is 
> > > returned with an Error Code of 01, Admission Control 
> Failure, and an 
> > > Error Value of 0x0002.
> > > - If the requested bandwidth is available, but is in use by lower 
> > > priority sessions, then lower priority sessions 
> (beginning with the 
> > > lowest priority) MAY be preempted to free the necessary
> > bandwidth. [...]
> > > A ResvErr and/or PathErr with the code "Policy Control
> > failure" SHOULD
> > > be sent toward the downstream receivers and upstream senders.
> > > 
> > > but looking at 2205 these are following the soft-preemption rules.
> > > 
> > > -> section 2 in the error doc. is confusing "This text is a
> > > clarification and re-statement of the procedures set out in
> > [RFC3209]
> > > and does not define any new behavior."
> > > 
> > > now, with these docs an error msg exchange (fatal) for
> > hard-preemption
> > > (that remove states at detecting node and leaves subsequent
> > decision at
> > > sender) and an error msg exchange (non-fatal) for
> > soft-preemption (that
> > > does not remove state at detecting node and leaves
> > subsequent decision
> > > at sender)
> > > 
> > > -> section 2.3 of the error doc. "Any node clearing either
> > or both the
> > > Path or the Resv state of a TE LSP MUST also free up the 
> data plane 
> > > resources allocated to the corresponding TE LSP." is basically 
> > > confirming the initial 2205 mechanism behind hard-preemption (why 
> > > keeping upstream state without resource at the detecting node ?).
> > 
> > Indeed, in case of a fatal error, both the control and data place 
> > resources are freed-up. The reasons for this ID is just to document 
> > these behaviors for hard preemption that have been implemented by a 
> > number of vendors and in production for several years. Note that 
> > because these implementations are operating in a similar 
> fashion, the 
> > RFCs must have been interpreted the same way. As far as 
> preemption is 
> > concerned, the sole purpose of this ID was to document the 
> > corresponding error codes in use. We're in sync.
> > 
> > Thanks.
> > 
> > JP.
> > 
> > > 
> > > thanks,
> > > -d.
> > > 
> > >> -----Original Message-----
> > >> From: [email-masked]
> > >> [mailto:[email-masked]] On Behalf Of Adrian Farrel
> > >> Sent: Saturday, February 23, 2008 12:55 PM
> > >> To: [email-masked]
> > >> Subject: Fw: MPLS WG Last Call on two related WG 
> documents (PathErr 
> > >> and SoftPreemption)
> > >> 
> > >> Heads up in CCAMP.
> > >> 
> > >> These I-Ds describe interpretations of RSVP-TE and have 
> > >> implications for GMPLS.
> > >> 
> > >> Please review and comment to the MPLS mailing list.
> > >> 
> > >> Thanks,
> > >> Adrian
> > >> ----- Original Message -----
> > >> From: "Loa Andersson" <[email-masked]>
> > >> To: <[email-masked]>
> > >> Cc: "Ross Callon" <[email-masked]>; "David Ward"
> > >> <[email-masked]>
> > >> Sent: Monday, February 18, 2008 4:26 PM
> > >> Subject: [mpls] WG Last Call on two related WG documents
> > (PathErr and
> > >> SoftPreemption)
> > >> 
> > >> 
> > >>> Working Group,
> > >>> 
> > >>> this is to initiate a working group last call on two 
> working group
> > >>> documents:
> > >>> 
> > >>> "Node behavior upon originating and receiving Resource 
> ReserVation 
> > >>> Protocol (RSVP) Path Error message"
> > >>> 
> > >>> <draft-ietf-mpls-3209-patherr-02.txt>
> > >>> 
> > >>> and
> > >>> 
> > >>> "MPLS Traffic Engineering Soft Preemption"
> > >>> 
> > >>> <draft-ietf-mpls-soft-preemption-10.txt>
> > >>> 
> > >>> The soft preemption ID became a WG document in Feb 2003. 
> > It has been
> > >>> "on-hold" for a longer period waiting for another ID 
> defining the 
> > >>> term "Hard preemption"; the working group considered that
> > >> that document
> > >>> was required to progress the soft preemption document. 
> > This document
> > >>> is the "PathErr-draft" and has now have became a stable
> > WG document.
> > >>> Therefore it is now possible to start this working group
> > last call.
> > >>> 
> > >>> Please send your comments to the working group mailing
> > list prior to
> > >>> EOB March 3.
> > >>> 
> > >>> Loa and George
> > >>> 
> > >>> 
> > >>> 
> > >>> 
> > >>> 
> > >>> 
> > >>> --
> > >>> Loa Andersson
> > >>> 
> > >>> Principal Networking Architect
> > >>> Acreo AB                           phone:  +46 8 632 77 14
> > >>> Isafjordsgatan 22                  mobile: +46 739 81 21 64
> > >>> Kista, Sweden                      email:  
> [email-masked]
> > >>>                                            [email-masked] 
> > >>> _______________________________________________
> > >>> mpls mailing list
> > >>> [email-masked]
> > >>> http://www.ietf.org/mailman/listinfo/mpls
> > >>> 
> > >> 
> > >> 
> > >> 
> > >> 
> > > 
> > > 
> > > 
> > 
> > 
> _______________________________________________
> mpls mailing list
> [email-masked]
> http://www.ietf.org/mailman/listinfo/mpls
> 

This e-mail has been scanned for viruses by the Cable & Wireless e-mail security system - powered by MessageLabs. For more information on a proactive managed e-mail security service, visit http://www.cw.com/uk/emailprotection/ 

The information contained in this e-mail is confidential and may also be subject to legal privilege. It is intended only for the recipient(s) named above. If you are not named above as a recipient, you must not read, copy, disclose, forward or otherwise use the information contained in this email. If you have received this e-mail in error, please notify the sender (whose contact details are above) immediately by reply e-mail and delete the message and any attachments without retaining any copies.
 
Cable and Wireless plc 
Registered in England and Wales.Company Number 238525 
Registered office: 7th Floor, The Point, 37 North Wharf Road, London W2 1LA
_______________________________________________
mpls mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls